# Generated by rust2rpm
# * Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

# https://github.com/alexcrichton/cc-rs/issues/139
%global __cargo_is_bin() false

%global crate cc

Name:           rust-%{crate}
Version:        1.0.28
Release:        1%{?dist}
Summary:        Build-time dependency for Cargo build scripts to invoke the native C compiler

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/cc
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(rayon/default) >= 1.0.0 with crate(rayon/default) < 2.0.0)
%if %{with check}
BuildRequires:  (crate(tempdir/default) >= 0.3.0 with crate(tempdir/default) < 0.4.0)
%endif
BuildRequires:  %{_bindir}/g++
BuildRequires:  %{_bindir}/gcc

%global _description \
A build-time dependency for Cargo build scripts to assist in invoking\
the native C compiler to compile native C code into a static archive\
to be linked into Rust code.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       %{_bindir}/g++
Requires:       %{_bindir}/gcc

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+parallel-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+parallel-devel %{_description}

This package contains library source intended for building other packages
which use "parallel" feature of "%{crate}" crate.

%files       -n %{name}+parallel-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+rayon-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rayon-devel %{_description}

This package contains library source intended for building other packages
which use "rayon" feature of "%{crate}" crate.

%files       -n %{name}+rayon-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# Tests can't be really run in parallel
# And they are too tight to arch
%cargo_test -- -- --test-threads=1 || :
%endif

%changelog
* Mon Jan 07 2019 Josh Stone <jistone@redhat.com> - 1.0.28-1
- Update to 1.0.28

* Wed Dec 12 2018 Josh Stone <jistone@redhat.com> - 1.0.26-1
- Update to 1.0.26

* Sun Oct 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.25-3
- Adapt to new packaging

* Sun Oct 07 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.25-2
- Run tests in infrastructure

* Wed Sep 12 2018 Josh Stone <jistone@redhat.com> - 1.0.25-1
- Update to 1.0.25

* Fri Sep 07 2018 Josh Stone <jistone@redhat.com> - 1.0.24-1
- Update to 1.0.24

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jul 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.18-1
- Update to 1.0.18

* Sat Jun 23 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.17-2
- Adopt to new macro

* Wed May 30 2018 Josh Stone <jistone@redhat.com> - 1.0.17-1
- Update to 1.0.17

* Wed May 02 2018 Josh Stone <jistone@redhat.com> - 1.0.15-1
- Update to 1.0.15

* Fri Apr 27 2018 Josh Stone <jistone@redhat.com> - 1.0.13-1
- Update to 1.0.13

* Sat Apr 14 2018 Josh Stone <jistone@redhat.com> - 1.0.10-1
- Update to 1.0.10

* Thu Mar 22 2018 Josh Stone <jistone@redhat.com> - 1.0.9-1
- Update to 1.0.9

* Sat Mar 17 2018 Josh Stone <jistone@redhat.com> - 1.0.8-1
- Update to 1.0.8

* Wed Mar 14 2018 Josh Stone <jistone@redhat.com> - 1.0.7-1
- Update to 1.0.7

* Fri Mar 09 2018 Josh Stone <jistone@redhat.com> - 1.0.6-1
- Update to 1.0.6

* Mon Mar 05 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.5-1
- Update to 1.0.5

* Tue Feb 20 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.4-3
- Bump rayon to 1.0.0

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.4-1
- Update to 1.0.4

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.3-2
- Rebuild for rust-packaging v5

* Thu Nov 16 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.3-1
- Initial package
